import { colors, lineNames, lineByName } from '../assets/metro'

function LineDot({ station }: { station: string }) {
    const line = lineByName(station)

    if (line == undefined)
        return <></>

    const lineTitle = lineNames[line]
    const color = colors[line]

    return <span title={`${lineTitle} ветка`} style={{ color: color }}>&#11044;</span>
}

export default LineDot
